%global pypi_name fixtures

%def_disable check

Name: python3-module-%pypi_name
Version: 3.0.0
Release: alt2

Summary: Fixtures, reusable state for writing clean tests and more

Group: Development/Python3
License: ASL 2.0 or BSD
Url: https://launchpad.net/python-fixtures

# Source-url: %__pypi_url %pypi_name
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.4
BuildRequires(pre): rpm-build-python3

# generated by 'epm restore --dry-run' from python-module-fixtures/requirements.txt
%py3_use pbr >= 0.11
%py3_use six
%py3_use testtools >= 0.9.22

BuildRequires: python3-module-pytest python3-module-unittest2

%description
Fixtures defines a Python contract for reusable state / support logic,
primarily for unit testing. Helper and adaption logic is included to
make it easy to write your own fixtures using the fixtures contract.
Glue code is provided that makes using fixtures that meet the Fixtures
contract in unittest compatible test cases easy and straight forward.

%prep
%setup

%build
%python3_build

%install
%python3_install

%check
python3 setup.py test -v

%files
%doc README GOALS NEWS Apache-2.0 BSD COPYING
%python3_sitelibdir/*

%changelog
* Tue Apr 27 2021 Vitaly Lipatov <lav@altlinux.ru> 3.0.0-alt2
- build python3 module separately
- set requires from requirements.txt

* Mon Oct 17 2016 Alexey Shabalin <shaba@altlinux.ru> 3.0.0-alt1
- 3.0.0

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 1.3.1-alt2.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Mon Jan 25 2016 Sergey Alembekov <rt@altlinux.ru> 1.3.1-alt2
- Rebuild with "def_disable check"
- Clean buildreq

* Sat Jul 25 2015 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.3.1-alt1
- Version 1.3.1

* Mon Jul 14 2014 Lenar Shakirov <snejok@altlinux.ru> 0.3.14-alt1
- First build for ALT (based on Fedora 0.3.14-3.fc21.src)
